@font-face {
    font-family: 'Be Vietnam Pro';
    src: url('../fonts/BeVietnamPro-BlackItalic.woff') format('woff');
    font-weight: 900;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Be Vietnam Pro';
    src: url('../fonts/BeVietnamPro-BoldItalic.woff') format('woff');
    font-weight: bold;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Be Vietnam Pro';
    src: url('../fonts/BeVietnamPro-Black.woff') format('woff');
    font-weight: 900;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Be Vietnam Pro';
    src: url('../fonts/BeVietnamPro-ExtraBoldItalic.woff') format('woff');
    font-weight: bold;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Be Vietnam Pro';
    src: url('../fonts/BeVietnamPro-Bold.woff') format('woff');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Be Vietnam Pro';
    src: url('../fonts/BeVietnamPro-ExtraBold.woff') format('woff');
    font-weight: bold;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Be Vietnam Pro';
    src: url('../fonts/BeVietnamPro-ExtraLight.woff') format('woff');
    font-weight: 200;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Be Vietnam Pro';
    src: url('../fonts/BeVietnamPro-Medium.woff') format('woff');
    font-weight: 500;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Be Vietnam Pro';
    src: url('../fonts/BeVietnamPro-Italic.woff') format('woff');
    font-weight: normal;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Be Vietnam Pro';
    src: url('../fonts/BeVietnamPro-ExtraLightItalic.woff') format('woff');
    font-weight: 200;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Be Vietnam Pro';
    src: url('../fonts/BeVietnamPro-LightItalic.woff') format('woff');
    font-weight: 300;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Be Vietnam Pro';
    src: url('../fonts/BeVietnamPro-Light.woff') format('woff');
    font-weight: 300;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Be Vietnam Pro';
    src: url('../fonts/BeVietnamPro-Regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Be Vietnam Pro';
    src: url('../fonts/BeVietnamPro-ThinItalic.woff') format('woff');
    font-weight: 100;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Be Vietnam Pro';
    src: url('../fonts/BeVietnamPro-SemiBold.woff') format('woff');
    font-weight: 600;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Be Vietnam Pro';
    src: url('../fonts/BeVietnamPro-SemiBoldItalic.woff') format('woff');
    font-weight: 600;
    font-style: italic;
    font-display: swap;
}

@font-face {
    font-family: 'Be Vietnam Pro';
    src: url('../fonts/BeVietnamPro-Thin.woff') format('woff');
    font-weight: 100;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Be Vietnam Pro';
    src: url('../fonts/BeVietnamPro-MediumItalic.woff') format('woff');
    font-weight: 500;
    font-style: italic;
    font-display: swap;
}

:root{
    --cl-x: #339ADE;
    --cl-y: #D2DC30;
    /*--cl-grd: linear-gradient(128.28deg, #339ADE 18%, #39ACFD 34%, #7AFC44 64%, #D2DC30 100%);*/
    --cl-grd: linear-gradient(127deg,rgba(67, 184, 226, 1) 0%, rgba(107, 234, 111, 1) 79%);
    --cl-gray: #F5F5F5;
    --fs-12: 12px;
    --fs-14: clamp(0.8125rem, 0.8rem + 0.0625vw, 0.875rem);
    --fs-18: clamp(1rem, 0.975rem + 0.125vw, 1.125rem);
    --fs-20: clamp(1.0625rem, 1.025rem + 0.1875vw, 1.25rem);
    --fs-24: clamp(1.25rem, 1.2rem + 0.25vw, 1.5rem);
    --fs-28: clamp(1.25rem, 1.15rem + 0.5vw, 1.75rem);
    --fs-36: clamp(1.5rem, 1.35rem + 0.75vw, 2.25rem);
    --fs-title: 2.25rem;

    --px-content: 8%;
    --py-content: 60px;
}

body{
    font-family: "Be Vietnam Pro", sans-serif;
    overflow-x: hidden;
    background-color: #010304;
    color: #fff;
}

p:last-of-type{
    margin-bottom: 0;
}

a{
    color: #fff;
    text-decoration: none;
}

img{
    max-width: 100%;
    height: auto;
}

.fs-12{
    font-size: var(--fs-12) !important;
}

.fs-14{
    font-size: var(--fs-14) !important;
}

.fs-18{
    font-size: var(--fs-18) !important;
}

.fs-20{
    font-size: var(--fs-20) !important;
}

.fs-24{
    font-size: var(--fs-24) !important;
}

.fs-28{
    font-size: var(--fs-28) !important;
}

.text-x{
    color: var(--cl-x) !important;
}

.text-y{
    color: var(--cl-y) !important;
}

.text-grd{
    background-image: var(--cl-grd);
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent !important;
}

/*background*/
.bg-x{
    background-color: var(--cl-x) !important;
}

.bg-y{
    background-color: var(--cl-y) !important;
}

.bg-grd{
    background: var(--cl-grd);
}

.btn-custom{
    display: inline-block;
    padding: 0.5rem 1rem;
    border: 1px solid transparent;
    border-radius: 50rem;
    line-height: 1.5;
    font-weight: 500;
    text-align: center;
    position: relative;
    transition: all .3s ease-in-out;
    vertical-align: middle;
}

.btn-custom:hover {
    background: var(--cl-grd);    
    background-clip: border-box;
    -webkit-background-clip: border-box;
    -webkit-text-fill-color: white;
    color: white;
    box-shadow: 0 0 30px rgba(0, 210, 255, 0.6);    
    transform: translateY(-2px);
}

.btn-x{
    background-color: var(--cl-x);
    color: #fff;
    border: 1px solid var(--cl-x);
}

.btn-x:hover{
    color: #fff;
}

.btn-y{
    background-color: var(--cl-y);
    color: #fff;
    border: 1px solid var(--cl-y);
}

.btn-y:hover{
    color: #fff;
}

.btn-grd{
    background: var(--cl-grd);
    color: #fff;
}


.btn-outline-grd{
    background-image: var(--cl-grd);
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
}

.btn-outline-grd::before {
    content: "";
    position: absolute;
    inset: 0;
    border-radius: inherit;
    padding: 2px;      
    background: var(--cl-grd);        
    -webkit-mask: 
       linear-gradient(#fff 0 0) content-box, 
       linear-gradient(#fff 0 0);
    -webkit-mask-composite: xor;
    mask-composite: exclude;        
    pointer-events: none; 
}

.btn-custom.has-icon{
    display: inline-flex;
    align-items: center;
    gap: 0.75rem;
    padding: 3px 3px 3px 1rem;
}

.btn-custom.has-icon .icon{
    display: inline-flex;
    justify-content: center;
    align-items: center;
    width: 2.5rem;
    height: 2.5rem;
    background: var(--cl-grd);
    border-radius: 50%;
    color: #fff;
}

.btn-custom.has-icon.icon-sm .icon{
    width: 2rem;
    height: 2rem;
}

.image-cover{
    width: 100%;
    height: 100%;
    object-fit: cover;
}
.image-contain{
    width: 100%;
    height: 100%;
    object-fit: contain;
}

.block{
    position: relative;
    padding: var(--py-content) var(--px-content);
}

.block .container-fluid{
    max-width: 1800px;
}

.bg-cover{
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    right: 0;
    z-index: -1;
    background-repeat: no-repeat;
    background-position: center center;
    background-size: cover;
}

.svg-clip-path {
    width: 0;
    height: 0;
    position: absolute;
    top: 0;
    left: 0;
    pointer-events: none;
    opacity: 0;
}

.wrapper-svg svg{
    width: 100%;
}

.has-border-grd{
    position: relative;
    width: 100%;
    border: 1px solid transparent;     
    background-image: linear-gradient(#0e0e0e, #0e0e0e),
                      linear-gradient(90deg, rgba(57, 172, 253, 1) 0%, rgba(122, 252, 68, 1) 100%);
    background-origin: border-box;
    background-clip: padding-box, border-box;
}

/*nav menu*/
.navbar{
    display: flex;
    flex-direction: column;
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    z-index: 10;
}

.navbar>*{
    width: 100%;
    max-width: 100%;
}

.navbar-main{
    padding-top: 0;
    padding-bottom: 0;
}

.navbar-main-top{
    padding-top: 0.375rem;
    padding-bottom: 0.375rem;
    font-size: var(--fs-14);
}

.navbar-fixed{
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
    animation: animate 1s;
    transition: all 1s ease-in-out;
    z-index: 30;
}

@keyframes animate {
    0% {
        transform: translateY(-100px);
    }
    100% {
        transform: translateY(0px);
   }
}

.navbar-fixed.navbar{
    background-color: #000;
    box-shadow: rgba(0, 0, 0, 0.16) 0px 1px 4px;
}

.navbar-nav{
    width: 100%;
    align-items: center;
}

.navbar-nav .nav-item .nav-link{
    display: flex;
    justify-content: space-between;
    align-items: center;
    padding: 0.25rem 1.5rem;
    font-weight: 600;
    white-space: nowrap;
}

.navbar-nav .nav-item .nav-link,
.navbar-nav .nav-item .nav-link a{
    color: #000;
    background: var(--cl-grd);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    background-size: 150%;
    color: transparent;
    text-transform: uppercase;
}

.navbar-nav .nav-item .nav-link.active,
.navbar-nav .nav-item .nav-link.active a{
    color: var(--cl-x);
}

.navbar-nav .nav-item:hover .nav-link,
.navbar-nav .nav-item:hover .nav-link a{
    color: var(--cl-x);
}

/*===*/
.navbar-nav .dropdown-menu .dropdown-item{
    padding: 0.375rem 1rem;
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.navbar-nav .dropdown-menu .dropdown-item:active,
.navbar-nav .dropdown-menu .dropdown-item.active{
    background-color: var(--cl-y);
}

.navbar-nav .dropdown-menu .dropdown-item.active a{
    color: #fff;
}

.navbar-nav .toggle-menu{
    margin-left: 0.5rem;
}

.navbar-brand{
    margin: 0;
    padding: 0;
}

.logo{
    width: 10rem;
    transition: all .3s ease-in-out;
}


.page-portfolio,
.page-293{
    .navbar{
        padding-top: 1rem;
        padding-bottom: 1rem;
    }

    .navbar-nav .nav-item .nav-link,
    .navbar-nav .nav-item .nav-link a{
        -webkit-text-fill-color: unset;
        color: #fff;
        font-size: var(--fs-20);
        font-weight: 500;
    }

    .navbar-nav .nav-item.dropdown .dropdown-menu{
        background: #242424;
    }

}



.navbar-toggler{
    width: 2rem;
    height: 2rem;
    display: flex;
    justify-content: center;
    margin-left: 0;
    align-items: center;
    border: 2px solid var(--cl-x);
    box-shadow: none !important;
    color: var(--cl-x);
}

.box-search-header{
    display: flex;
    width: 100%;
    padding: 0.4rem;
    border: 1px solid #DDDDDD;
    border-radius: 50rem;
    overflow: hidden;
    background-color: rgba(255, 255, 255, 0.25);
}

.box-search-header input{
    flex: 1;
    width: 100%;
    padding: 0.25rem 1rem;
    border: none !important;
    outline: none;
    background-color: transparent !important;
    font-size: var(--fs-14);
    box-shadow: none !important;
    color: #fff;
}

.box-search-header input::placeholder,
.box-search-header input:focus{
    color: #fff;
}

.box-search-header button{
    width: 2.5rem;
    height: 2.5rem;
    display: flex;
    justify-content: center;
    align-items: center;
    padding: 0.25rem;
    border: none;
    border-radius: 50%;
    font-size: var(--fs-14);
}

.navbar-main .box-search-header{
    padding: 2px;
}

.navbar-main .box-search-header button{
    width: 2rem;
    height: 2rem;
}

.btn-popup-search{
    padding: 0;
    border: 0;
    box-shadow: none !important;
    background-color: transparent;
    color: #fff;
}

.btn-popup-search svg{
    fill: var(--cl-x);
}

.btn-hotline-header{
    /*border-radius: 50rem;*/
    /*background: var(--cl-grd);*/
    padding: 0.375rem 0.75rem;
    color: #fff;
    font-weight: 500;
}

.navbar-main-top .social-contact .item{
    border: 1px solid #fff;
    border-radius: 50%;
    color: #fff;
    font-size: 1rem;
}


/*============*/
.swiper {
    width: 100%;
    height: 100%;
    margin-left: auto;
    margin-right: auto;
}

/*banenr-page*/
.banner-page{
    height: 40rem;
    display: flex;
    align-items: center;
    position: relative;
    padding-top: 0;
    padding-bottom: 0;
}

.banner-page .title{
    display: block;
    margin-bottom: 0;
    font-weight: 700;
    color: #fff;
    font-size: 2.25rem;
    text-align: center;
    text-transform: uppercase;
    position: relative;
}

.banner-page .breadcrumb{
    justify-content: center;
    margin-bottom: 0;
}

.banner-page .breadcrumb .breadcrumb-item,
.banner-page .breadcrumb .breadcrumb-item a,
.banner-page .breadcrumb-item + .breadcrumb-item::before{
    color: #fff;
}

.banner-page .breadcrumb .breadcrumb-item.active{
    color: #fff;
}


.banner-page .bg-cover{
    clip-path: url('#clip-path-banner-bg');
    background: #000;
}

.banner-page .bg-cover.shape{
    background: var(--cl-grd);
    clip-path: url('#clip-path-banner-cover');
}


.banner-page .wrapper-svg{
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
}

.box-image-banner{
    position: absolute;
    right: var(--px-content);
    top: 100%;
    z-index: 1;
    width: 24vw;
    transform: translateY(-105%);
}

.banner-circle .box-image-banner .inner-img{
    border-radius: 50%;
    overflow: hidden;
}

.banner-circle .box-image-banner img{
    object-fit: cover;
}


.banner-circle .box-image-banner:after{
    content: "";
    position: absolute;
    inset: 0;
    background-image: url('/templates/images/circle-img-banner.svg');
    background-repeat: no-repeat;
    background-position: center center;
    background-size: contain;
    transform: rotate(11deg);
    pointer-events: none;
}




/* Home ============*/
.main-slide{
    height: 100vh;
    overflow: hidden;
    position: relative;
}

.main-slide .swiper-slide{
    position: relative;
}

.main-slide .swiper-slide .banner-slide{
    position: absolute;
    left: 10%;
    right: 10%;
    top: 50%;
    z-index: 10;
    transform: translateY(-50%);
    color: #fff;
}

.main-slide .swiper-slide .banner-slide .btn-custom{
    font-size: 20px;
}


.main-slide .banner-slide h2{
    margin-bottom: 0;
    font-size: clamp(1.5rem, 1.2rem + 1.5vw, 3rem);
}

.main-slide .swiper-slide .text-after-banner{
    position: relative;
    text-align: center;
    font-size: 8vw;
    font-weight: 700;
    line-height: 1;
    -webkit-text-stroke-width: 1px;
    -webkit-text-stroke-color: #fff;
    -webkit-text-fill-color: transparent;
    color: transparent;
    -webkit-mask-image: linear-gradient(to bottom, black 0%, transparent 100%);
    mask-image: linear-gradient(to bottom, black 0%, transparent 80%);
}

.box-content-main h2{
    margin-bottom: 0;
    font-size: var(--fs-title);
    position: relative;
}

.box-content-main.has-title-grd h2{
    display: inline-block;
    background: var(--cl-grd);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    filter: drop-shadow(1px 1px 0 #fff);
    line-height: 1.5;
}

.box-content-main h2 + *{
    margin-top: 0.875rem;
}

.box-content-main h2 span{
    background-image: var(--cl-grd);
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent !important;
}

.box-content-main .sub-title{
    display: inline-flex;
    align-items: center;
    gap: 0.75rem;
    margin-bottom: 0.5rem;
    font-weight: 700;
    font-size: clamp(1rem, 0.95rem + 0.25vw, 1.25rem);
    text-transform: uppercase;
}

.box-content-main .sub-title .line{
    display: inline-block;
    width: 3rem;
    height: 2px;
    background: var(--cl-grd);
    border-radius: 5rem;
}

.box-content-main .sub-title [class*="line-"]{
    display: flex;
    align-items: center;
    gap: 0.5rem;
}

.box-content-main .sub-title .icon{
    display: inline-block;
    width: 1rem;
    height: 1rem;
    background-image: url('/templates/images/star.svg');
    background-position: center center;
    background-repeat: no-repeat;
    background-size: contain;
}

.main-title{
    margin-bottom: 0;
    font-weight: 700;
    font-size: var(--fs-title);
    text-transform: uppercase;
}


/*=== home-servie*/
.wrapper-box-service{
    position: relative;
    padding: 4rem;
    border-radius: 2rem;
}

.wrapper-box-service::before {
    content: "";
    position: absolute;
    inset: 0;
    border-radius: inherit;
    padding: 2px;      
    background: linear-gradient(0deg, #000000 0%, #39acfd 25%, #7afc44 100%);;        
    -webkit-mask: 
       linear-gradient(#fff 0 0) content-box, 
       linear-gradient(#fff 0 0);
    -webkit-mask-composite: xor;
    mask-composite: exclude;        
    pointer-events: none; 
}

.box-service{
    position: relative;
    padding: 1rem;
    height: 100%;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    border-radius: 1.25rem;
}

/*.box-service.even{
    flex-direction: column-reverse;
}*/

.box-service:before{
    content: "";
    position: absolute;
    inset: 0;
    border-radius: inherit;
    padding: 2px;
    background: var(--cl-grd);        
    -webkit-mask: 
       linear-gradient(#fff 0 0) content-box, 
       linear-gradient(#fff 0 0);
    -webkit-mask-composite: xor;
    mask-composite: exclude;   
}

.box-service .box-thumbnail{
    border-radius: 0.75rem;
    overflow: hidden;
}

.box-service .box-content{
    flex: 1;
    text-align: center;
}

.box-service .box-content .title{
    font-size: var(--fs-20);
    font-weight: 700;
    text-transform: uppercase;
}

.block-home-service{
    padding-top: 250px;
    padding-bottom: 250px;
}

.block-home-service .img-cover{
    position: absolute;
    top: 0;
    right: -5%;
    z-index: -1;
    width: 20vw;
}

/*edit*/
.box-content-main.has-title-grd.home-service-title h2{
    font-size: 3.5rem;
    line-height: 1;
}

.box-list-menu-service{
    padding: 0.5rem 1.5rem;
    border-left: 1px solid #373737;
}

.box-list-menu-service .title{
    background: linear-gradient(
    128deg,
    #43B9E0 0%,
    #56D0AB 33%,
    #61DD8D 66%,
    #6DEB6B 100%
  );
  -webkit-background-clip: text !important;
  background-clip: text;
  -webkit-text-fill-color: transparent;
  text-fill-color: transparent;
  background-size: 25%;
}

.box-list-menu-service ul{
    margin-bottom: 0;
}

/*=== end home-servie*/



/*=====*/
.marquee {
    padding: 1vw;
}

/*.marquee:first-child {
    background: rgba(255, 255, 255, 0.1);
    transform: rotateZ(-2deg);
}

.marquee:last-child {
    background: var(--cl-grd);
    transform: rotateZ(2deg);
}*/

.marquee-wrap{
    display: flex;
    gap: 2.5rem;
}

.marquee-text{
    display: flex;
    gap: inherit;
    will-change: transform;
    backface-visibility: hidden;
}

.marquee-text span{
    -webkit-text-stroke: 2px transparent;
    background-image: var(--cl-grd);
    -webkit-background-clip: text;
    background-clip: text;
    color: #000;
    font-size: 5rem;
    font-weight: 700;
    line-height: 1;
}

.img-marquee{
    width: 80px;
}

.marquee.white{
    background: var(--cl-grd);
}

.marquee.dark{
    background: rgba(255, 255, 255, 0.1);
}

.marquee.white .img-marquee img{
    filter: brightness(0) saturate(100%) invert(95%) sepia(5%) saturate(21%) hue-rotate(242deg) brightness(106%) contrast(104%);
}



.box-video{
    position: absolute;
    left: 50%;
    top: 50%;
    z-index: 1;
    width: clamp(3rem, 2.8rem + 1vw, 4rem);
    height: clamp(3rem, 2.8rem + 1vw, 4rem);
    display: inline-flex;
    justify-content: center;
    align-items: center;
    background-color: rgba(0, 0, 0, 0.5);
    border-radius: 50%;
    font-size: var(--fs-24);
    color: #fff;
    cursor: pointer;
    transition: all .4s ease-in-out;
}

.box-video:hover{
    background: var(--cl-grd);
    border-color: var(--cl-x);
    transform: scale(1.1);
}

/*===*/
.svg-block{
    width: 100%;
    overflow: hidden;
    pointer-events: none;
}

.svg-block svg{
    width: 107%;
}



/*===*/
.box-counter-highlight{
    display: flex;
    justify-content: center;
    flex-direction: column;
    align-items: center;
    height: 100%;
    background-color: #fff;
    border-radius: 50%;
    text-align: center;
}

.box-counter-highlight .number{
    font-size: 3rem;
    font-weight: 700;
    color: #fff; 
    -webkit-text-stroke: 2px #4bd8e6;
    background: var(--cl-grd);
    -webkit-background-clip: text;
    background-clip: text;
}

.box-counter-highlight .content{
    font-size: 1.25rem;
    color: #000;
}

.arc-decoration {
    position: absolute;
    inset: -1rem;
    border-radius: 50%;
    z-index: -1;
    background: conic-gradient(
        from 234deg, 
        rgba(255,255,255,0) 0%, 
        #2cd5f5 1%, 
        #5afb9a 60%, 
        rgba(255,255,255,0) 50%
    );
    -webkit-mask: radial-gradient(farthest-side, transparent calc(100% - 3px), #fff calc(100% - 3px));
    mask: radial-gradient(farthest-side, transparent calc(100% - 3px), #fff calc(100% - 3px));
}

.diamond-tip {
    position: absolute;
    width: 12px;
    height: 12px;
    background: #70F060;
    top: 50%;
    right: -21px;
    transform: translateY(0) rotate(45deg);
    z-index: 0;
    box-shadow: 0 0 5px #70F060;
}

.box-counter-highlight.reverse .arc-decoration {
    transform: scaleY(-1);
}

.box-counter-highlight.reverse .diamond-tip {
    transform: translateY(0) rotate(45deg);
}


.shape-cover{
    --w-shape: 300px;
    width: var(--w-shape);
    height: var(--w-shape);
    position: absolute;
    z-index: -1;
    filter: blur(200px);
    border-radius: 50%;
    pointer-events: none;
}

.shape-blur-blue{
    background-color: #35abff;
}

.shape-blur-green{
    background-color: #7afc44;
}

.shape-sm{
    --w-shape: 200px;
}

.shape-md{
    --w-shape: 250px;
}

.shape-lg{
    --w-shape: 350px;
}

.shape-xl{
    --w-shape: 400px;
}


.block-highlight-number .shape-1{
    left: 50px;
    top: 0;
}

.block-highlight-number .shape-2{
    right: -2vw;
    top: 0;
}



/*====*/
.box-project .box-thumbnail{
    border-radius: 0.75rem;
    overflow: hidden;
}

.box-project .box-thumbnail img{
    transform: scale(1.1);
    transition: all .7s cubic-bezier(.3,.85,.7,1.03);
}

.box-project .box-content{
    margin-top: 1rem;
}

.box-project .box-content .title{
    font-size: 1.25rem;
}

.box-project:hover .box-thumbnail img{
    transform: scale(1);
}


.block-project .shape-1{
    top: 40%;
    left: 0;
}

.block-project .shape-2{
    bottom: 30%;
    left: 30%;
}

.block-project .shape-3{
    bottom: 30%;
    right: 10%;
}

.block-project .img-cover{
    position: absolute;
    left: -3vw;
    bottom: 10vh;
    z-index: -1;
    width: 25vw;
}



/*=====*/
.box-img-partner{
    padding: 1.5rem;
    cursor: pointer;
}

.box-img-partner img{
    filter: grayscale(1);
    transition: all .3s cubic-bezier(.3,.85,.7,1.03);
}

.box-img-partner:hover img{
    filter: grayscale(0);
}




/*====*/
.box-icon-wcu{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    gap: 1rem;
}

.box-icon-wcu .icon{
    width: 6rem;
    height: 6rem;
    padding: 1.25rem;
    border-radius: 50%;
    background-color: #000;
    position: relative;s
}

.box-icon-wcu .icon:before{
    content: "";
    position: absolute;
    inset: 0;
    border-radius: inherit;
    padding: 2px;
    background: var(--cl-grd);
    -webkit-mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
    -webkit-mask-composite: xor;
    mask-composite: exclude;
}

.box-icon-wcu .content{
    text-align: center;
}

.box-icon-wcu .content .title{
    font-size: 1.5rem;
}

.box-icon-wcu-0 .icon{
    transform: translateY(-4.5rem);
}

.box-icon-wcu-1 .icon{
    transform: translateY(-2.5rem);
}


.block-choose-us .wrapper-svg{
    position: absolute;
    left: 0;
    right: 0;
    top: 0;
}

.block-choose-us .wrapper-svg svg{
    width: 100%;
}

.block-choose-us .img-cover{

}



/*===*/
.box-hover-zoom .box-thumbnail,
.box-hover-zoom-long .box-thumbnail{
    overflow: hidden;
}

.box-hover-zoom .box-thumbnail img{
    transition: all 0.3s ease-in-out;
}

.box-hover-zoom:hover .box-thumbnail img,
.box-hover-zoom-long:hover .box-thumbnail img{
    transform: scale(1.1);
}

.box-hover-zoom-long .box-thumbnail img{
    transition: all 1s ease-in-out;
}

.wrapper-slide{
    position: relative;
} 

.wrapper-slide .swiper-button-next,
.wrapper-slide .swiper-button-prev{
    width: clamp(1.875rem, 1.75rem + 0.625vw, 2.5rem);
    height: clamp(1.875rem, 1.75rem + 0.625vw, 2.5rem);
    background-color: #fff;
    border-radius: 50%;
    box-shadow: rgba(0, 0, 0, 0.16) 0px 3px 6px, rgba(0, 0, 0, 0.23) 0px 3px 6px;
    color: var(--cl-x);
    transition: all .3s ease-in-out;
    pointer-events: all;
}

.wrapper-slide .swiper-button-next:after,
.wrapper-slide .swiper-button-prev:after{
    font-size: 1rem;
    font-weight: 700;
}

.wrapper-slide.hover-show-button .swiper-button-next,
.wrapper-slide.hover-show-button .swiper-button-prev{
    opacity: 0;
}
.wrapper-slide.hover-show-button:hover .swiper-button-next,
.wrapper-slide.hover-show-button:hover .swiper-button-prev{
    opacity: 1;
}
.wrapper-slide.hover-show-button:hover .swiper-button-disabled{
    opacity: 0.5;
}

/**/
.box-product{
    overflow: hidden;
}

.box-product .box-thumbnail{
    position: relative;
}

.box-product .box-badge{
    position: absolute;
    left: 0;
    top: 1rem;
    padding: 0.25rem 0.5rem;
    background-color: var(--cl-x);
    font-size: var(--fs-18);
    color: #fff;
}

.box-product .box-content{
    display: flex;
    flex-direction: column;
    gap: 0.5rem;
    margin-top: 0.75rem;
}

.box-product .box-title{
    max-height: 2.5rem;
}

.box-product .title{
    margin-bottom: 0rem;
    font-size: var(--fs-20);
    color: #000;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    transition: all .3s ease-in-out;
}

.box-product .box-excerpt{
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.box-product .box-price{
    flex: 1;
    display: flex;
    align-items: baseline;
    gap: 0.5rem;
    font-weight: 600;
}

.box-product .box-price .label-sale-price{
    color: #000;
}

.box-product .box-price .label-regular-price{
    color: #939393;
    text-decoration: line-through;
    font-size: var(--fs-14);
}

.box-product:hover .title{
    color: var(--cl-x);
}

/*===*/
.box-blog{
    display: flex;
    flex-direction: column;
    height: 100%;
}

.box-blog .box-thumbnail{
    position: relative;
    border-radius: 0.75rem;
}

.box-blog .box-content{
    flex: 1;
    display: flex;
    flex-direction: column;
    gap: 0.25rem;
    padding: 0.75rem 0 0;
}

.box-blog .title{
    margin-bottom: 0.75rem;
    font-size: var(--fs-18);
    font-weight: 600;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
    transition: all .3s ease-in-out;
}

.box-blog .box-meta{
    display: flex;
    gap: 1rem;
    color: #fff;
}

.box-blog .box-view-more{
    text-align: right;
}

.box-blog .box-view-more span{
    background-image: var(--cl-grd);
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent !important;
}

.box-blog.has-border-grd{
    border-radius: 0.75rem;
}

.box-blog.has-border-grd .box-content{
    padding: 0.75rem;
}

.box-blog.has-border-grd .box-content .title{
    margin-bottom: 0;
}


/*===*/
.box-blog-archive{
    display: flex;
    flex-direction: column;
    gap: 0.625rem;
}

.box-blog-archive .box-thumbnail{
    border-radius: 0.625rem;
}

.box-blog-archive .title{
    font-size: 1.125rem;
    font-weight: 500;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.box-blog-archive .excerpt{
    font-weight: 200;
    display: -webkit-box;
    -webkit-line-clamp: 3;
    -webkit-box-orient: vertical;
    overflow: hidden;
}

.box-blog-archive .box-meta{
    display: flex;
    align-items: center;
    gap: 0.5rem;
    margin-top: 0.5rem;
}

.box-blog-archive .box-meta .item.item-category{
    background: var(--cl-grd);
    -webkit-background-clip: text;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    background-size: 150%;
    color: transparent;
    font-weight: 600;
}

.box-blog-archive .box-meta .item.dot{
    width: 0.5rem;
    height: 0.5rem;
    background-color: #fff;
    border-radius: 50%;
}

.box-blog-archive.box-overlay .box-content{
    position: absolute;
    left: 0;
    right: 0;
    bottom: 0;
    padding: 1rem;
    background: linear-gradient(
        180deg,
        rgba(1, 3, 4, 0) 0%,
        rgba(1, 3, 4, 1) 100%
      );
}

.box-blog-archive.box-overlay .inner-thumbnail{
    --bs-aspect-ratio: 60%;
}


.box-blog-archive-horizontal{
    flex-direction: row;
}

.box-blog-archive-horizontal .box-thumbnail{
    width: 35%;
    flex-shrink: 0;
}

.box-blog-archive-horizontal .box-meta{
    font-size: 0.875rem;
}

.box-blog-archive-horizontal .title{
    -webkit-line-clamp: 3;
    font-size: 1rem;
}

/*===*/
.footer-top{
    padding-bottom: 10rem;
}

.footer-top .description-form{
    position: relative;
    font-size: var(--fs-24);
}

.footer-top .description-form img{
    width: 6rem;
    float: right;
}

.footer-bottom{
    padding-top: 0.5rem;
    padding-bottom: 0.5rem;
}

.footer a:hover{

}

.footer p{
    margin-bottom: 0.5rem;
}

.logo-footer{
    width: clamp(8.75rem, 8rem + 3.75vw, 12.5rem);
}

.title-footer{
    position: relative;
    margin-bottom: 1rem;
    font-size: var(--fs-20);
    font-weight: bold;
}

.list-footer ul{
    list-style: none;
    list-style-position: inside;
    margin-bottom: 0;
    padding-left: 0px;
}

.list-footer ul li a{
    position: relative;
}

.list-footer ul li a::before{
    content: '';
    position: absolute;
    width: 100%;
    height: 1px;
    background-color: #fff;
    bottom: -4px;
    left: 0;
    transform-origin: right;
    transform: scaleX(0);
    transition: transform .2s ease-in-out;
}

.list-footer ul li a:hover::before{
  transform-origin: left;
  transform: scaleX(1);
}

.list-footer ul li{
    transition: transform .2s ease-in-out;
}


.list-footer ul li + li{
    margin-top: 0.5rem;
}

.list-footer ul li:before{
    content: "\f105";
    font-family: "Font Awesome 6 Pro";
    margin-right: 0.5rem;
}

.list-footer ul li:hover{
    transform: translateX(5px);
}

.list-menu-footer{
    justify-content: center;
}

.list-menu-footer .nav-link{
    color: #fff;
}

.list-menu-footer .nav-link i{
    font-size: 6px;
    vertical-align: middle;
    margin-right: 0.5rem;
}


.social-contact{
    margin-bottom: 0;
    padding-left: 0;
    list-style: none;
    display: flex;
    align-items: center;
    gap: 0.5rem;
}

.social-contact .item{
    width: 2rem;
    height: 2rem;
    display: flex;
    justify-content: center;
    align-items: center;
    color: #fff;
    font-size: var(--fs-24);
    transition: all .2s ease-out;
}

.social-contact .item.item-zalo{
    font-size: 0.75rem;
    font-weight: 900;
}

.social-contact .item > *{
    color: inherit;
}

.social-contact-footer .item:hover{
    animation: scale-icon 0.5s;
}

@keyframes scale-icon {
    0% { transform: scale(0.8); }
    100% { transform: scale(1); }
}

.coppyright{
    font-size: clamp(0.625rem, 0.5625rem + 0.3125vw, 0.9375rem);
    font-weight: 300;
    text-align: center;
    color: #fff;
}

.coppyright a{
    color: #fff;
}

/**/

/*.form-footer{
    display: flex;
    gap: 0.5rem;
    padding: 2px;
    border: 1px solid #fff;
    border-radius: 50rem;
    background-color: rgba(255, 255, 255, 0.15);
}*/

.form-footer .form-control{
    padding: 0.75rem 1rem;
    background-color: rgba(255, 255, 255, 0.15);
    border: 1px solid #fff;
    border-radius: 50rem;
    box-shadow: none !important;
    font-size: inherit;
    color: #fff;
}

.form-footer .form-control::placeholder{
    color: #fff;
}

.form-footer .btn-custom i{
    transform: translate(0, 0);
    transition: all .3s ease-in-out;
}

.form-footer .btn-custom:hover i{
    transform: translate(4px, -4px);
}  

.text-cover-footer{
    position: absolute;
    left: 0;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    text-align: center;
    z-index: -1;
    font-size: 10vw;
    font-weight: 700;
    background: linear-gradient(180deg, rgba(255, 255, 255, 0.2) 0%,rgba(0, 0, 0, 1) 100%);
    -webkit-background-clip: text !important;
    background-clip: text;
    -webkit-text-fill-color: transparent;
    text-fill-color: transparent;
}


/*=== Page About*/
.block-introduce .shape-cover{
    bottom: 0;
}


/*====*/
.wrapper-history{
    padding-bottom: 12rem;
}

.box-history{
    position: absolute;
    width: 16px; 
    height: 16px;
    z-index: 10;
    transform: translateY(-1.5rem);
}

.box-history .icon-glag{
    width: 2rem;
    height: 2rem;
}


.inner-box-history{
    position: absolute;
    left: 4rem;
    top: 0rem;
    right: 2rem;
    width: 400px;
}

.inner-box-history .box-top{
    display: flex;
    justify-content: flex-end;
    flex-direction: row-reverse;
    align-items: flex-end;
    gap: 1rem;
}

.inner-box-history .box-top .icon{
    width: 4rem;
    height: 4rem;
}

.inner-box-history .box-top .counter-number{
    font-size: 1.5rem;
    line-height: 1;
    font-weight: 700;
}

.inner-box-history .box-bottom{
    margin-top: 1rem;
    font-weight: 100;
}

.inner-box-history .title{
    font-size: 1.125rem;
    margin-bottom: 1rem;
}

.box-history-0 .inner-box-history{
    transform: translateX(-60%);
}

.content-history{
    position: absolute;
    bottom: 15vh;
    left: 0;
    width: 100%;
    transform: translateX(-100%); 
}


.box-img-vision{
    position: relative;
}

.box-img-vision:before{
    content: "";
    position: absolute;
    inset: 0;
    z-index: -1;
    width: 200%;
    background-image: radial-gradient(#D9D9D9 2px, transparent 2px);
    background-size: 32px 32px;
    transform: translate(10%, -10%);
    opacity: 0.3;
}

.box-img-vision:after{
    content: "";
    position: absolute;
    inset: 0;
    z-index: -1;
    background-image: radial-gradient(#D9D9D9 2px, transparent 2px);
    background-size: 32px 32px;
    transform: translate(-10%, 10%);
    opacity: 0.3;
}


/*===*/
/*.box-img-mission{
    display: flex;
    align-items: center;
    gap: 0.5rem;
    padding: 2rem 0;
}

.box-img-mission .icon{
    width: 3rem;
    height: 3rem;
    border-radius: 50%;
    padding: 0.5rem;
    background: linear-gradient(
        128deg,
        rgba(51, 154, 222, 0.6) 18%,
        rgba(57, 172, 253, 0.6) 34%,
        rgba(122, 252, 68, 0.6) 64%,
        rgba(210, 220, 48, 0.6) 100%
      );
}

.box-img-mission .content{
    flex: 1;
    font-size: 1rem;
}

.box-img-mission .content .title{
    margin-bottom: 0;
    font-size: 1.25rem;
}*/

.box-img-mission{
    display: flex;
    align-items: center;
    gap: 0.5rem;
}

.box-img-mission .icon{
    width: 3rem;
    height: 3rem;
    border-radius: 50%;
    padding: 0.5rem;
    background: linear-gradient(
        128deg,
        rgba(51, 154, 222, 0.6) 18%,
        rgba(57, 172, 253, 0.6) 34%,
        rgba(122, 252, 68, 0.6) 64%,
        rgba(210, 220, 48, 0.6) 100%
      );
}

.box-img-mission .content{
    flex: 1;
}

.box-img-mission .content .title{
    margin-bottom: 0;
    font-size: 1rem;
}

.line-space-icon-mission{
    width: 2px;
    height: 1rem;
    transform: translate(calc(1.5rem - 50%));
    background: linear-gradient(
        128deg,
        rgba(51, 154, 222, 0.6) 18%,
        rgba(57, 172, 253, 0.6) 34%,
        rgba(122, 252, 68, 0.6) 64%,
        rgba(210, 220, 48, 0.6) 100%
      );
    border-radius: 50rem;
}





/*====*/
.box-img-core-value{
    display: flex;
    align-items: center;
    gap: 0.75rem;
    position: relative;
    border-radius: 50rem;
    background-color: #000;
}

.box-img-core-value::before {
    content: "";
    position: absolute;
    inset: 0;
    border-radius: inherit;
    padding: 2px;
    background: var(--cl-grd);
    -webkit-mask: linear-gradient(#fff 0 0) content-box, linear-gradient(#fff 0 0);
    -webkit-mask-composite: xor;
    mask-composite: exclude;
    pointer-events: none;
}


.box-img-core-value .icon{
    width: 4rem;
    height: 4rem;
}

.box-img-core-value .content{
    flex: 1;
}

.box-img-core-value .content .title{
    margin-bottom: 0;
    font-size: 1rem;
}



/*====*/
.box-culture-people .title{
    padding: 0.75rem;
    border-radius: 0.25rem;
    background-color: #121212;
    font-size: 1.25rem;
}

.box-culture-people .description{
    padding: 0 0.75rem;
}



/*=== Page Service*/
.block-detail-layout{
    --h-block: 600px;
}

.single-service-detail{
    padding: 1.5rem;
    height: 100%;
    max-height: var(--h-block);
    background-color: #171717;
    overflow-y: auto;
    border-radius: 0.625rem;
}

.single-service-detail::-webkit-scrollbar {
    width: 6px;
    background-color: #3F3E3E;
    border-radius: 50rem;
}

.single-service-detail::-webkit-scrollbar-thumb {
    background: var(--cl-grd);
    border-radius: 50rem;
}

.single-service-detail::-webkit-scrollbar-track {
    -webkit-box-shadow: inset 0 0 6px rgba(0,0,0,0.3);
    background-color: #3F3E3E;
    border-radius: 50rem;
}


.service-detail-gallery-slide{
    height: var(--h-block);
    border-radius: 0.625rem;
}

.grid-image-service {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-auto-rows: calc(var(--h-block) / 3);
    gap: 10px;
    height: 100%;
}

.grid-item {
    position: relative;
    overflow: hidden;
    border-radius: 10px;
    grid-column: span 1;
    grid-row: span 1;
}

.grid-item img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.grid-item.item-3{
    grid-column: span 1;
    grid-row: span 2;
}

.grid-item.item-4{
    grid-column: span 2;
    grid-row: span 1;
}

.wrapper-button-svg .swiper-button-prev,
.wrapper-slide .swiper-button-next{
    background-color: transparent;
    background-repeat: no-repeat;
    background-position: center;
    background-size: contain;
    box-shadow: none;
    border-radius: 0;
}

.wrapper-button-svg .swiper-button-prev{
    left: -3rem;
    background-image: url('/templates/images/icon-prev-slide.svg');
}

.wrapper-button-svg .swiper-button-next{
    right: -3rem;
    background-image: url('/templates/images/icon-next-slide.svg');
}


.wrapper-button-svg .swiper-button-prev:after,
.wrapper-button-svg .swiper-button-next:after{
    content: unset;
}

.swiper-pagination.service-detail-pagination{
    bottom: -2rem;
}

.service-detail-pagination .swiper-pagination-bullet{
    width: 0.75rem;
    height: 0.75rem;
    background: rgba(255, 255, 255, 0.2);
    border: 3px solid rgba(255, 255, 255, 0);
    opacity: 1;
    transition: all .3s ease;
}

.service-detail-pagination .swiper-pagination-bullet-active{
    background: var(--cl-grd);
    border-color: #fff;
}



/**/
.box-related-service .box-thumbnail:after{
    content: "";
    position: absolute;
    inset: 0;
    z-index: -1;
    background: var(--cl-grd);
    transition: all .3s ease;
    transform-origin: bottom right;
    border-radius: 0.625rem;
}

.box-related-service .inner-thumbnail{
    --bs-aspect-ratio: 120%;
    border-radius: 0.625rem;
    overflow: hidden;
}

.box-related-service:hover .box-thumbnail:after{
    transform: rotate(-2deg);
}

.box-related-service .box-content{
    padding: 1.5rem;
}

.box-related-service .box-content .title{
    margin-bottom: 0;
    font-size: var(--fs-18);
}



/*=== Page Project*/
.wrapper-tab-project{
    display: flex;
    justify-content: center;
    flex-wrap: wrap;
    column-gap: 10%;
}

.row-tab{
    display: flex;
    justify-content: center;
    align-items: center;
    gap: 1rem;
    flex: 1;
}

.row-tab.row-tab-full{
    /*flex: 1;*/
}

.row-tab .row-tab-first{
    flex: 1;
    position: relative;
}

.row-tab-gap{
    height: 3px;
    width: 100%;
    background: var(--cl-grd);
}

.row-tab-tree-gap{
    height: 1px;
    width: 100%;
    background: var(--cl-grd);
    z-index: -1;
    position: absolute;
}

.row-tab-style-top .row-tab-tree-gap{
    transform: translateY(-1px);
}


.row-tab-tree{
    display: flex;
}

.row-tab-tree .item-tab{
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    flex: auto;
    position: relative;
}

.row-tab-tree .item-tab .line{
    width: 2px;
    height: 1.25rem;
    background: var(--cl-grd);
    position: relative;
}

.row-tab-tree .item-tab .line:after{
    content: "";
    position: absolute;
    left: 50%;
    width: 0.5rem;
    height: 0.5rem;
    background: var(--cl-grd);
    transform: translate(-50%, -50%) rotate(45deg);
}

.row-tab-tree.row-tab-tree-top .item-tab .line:after{
    bottom: 0;
    transform: translate(-50%, 50%) rotate(45deg);
}

.item-tab .label{
    padding: 0.5rem 2rem;
    text-align: center;
    transition: all .3s ease;
    cursor: pointer;
}

.item-tab .label:hover{
    transform: translateY(-0.125rem);
}

/*.row-tab-style-top .row-tab-tree-top .item-tab:before{
    content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    width: 100%;
    height: 1px;
    background: var(--cl-grd);
    z-index: -1;
}

.row-tab-style-bottom .row-tab-tree-bottom .item-tab:before{
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 1px;
    background: var(--cl-grd);
    z-index: -1;
}*/

.row-tab-title{
    display: flex;
    align-items: center;
    font-size: var(--fs-20);
    font-weight: 700;
    background: #000;
    position: relative;
    cursor: pointer;
}

.row-tab-title:before{
    content: "";
    position: absolute;
    width: 1rem;
    height: 1rem;
    background: var(--cl-grd);
    border-radius: 50%;
    z-index: 1;
}

.row-tab-title.has-border-right:before{
    right: 0;
    bottom: 0;
    transform: translate(50%, 50%);
}

.row-tab-title.has-border-left:before{
    left: 0;
    top: 0;
    transform: translate(-50%, -50%);
}


.row-tab-title:after{
    content: "";
    position: absolute;
    width: 3px;
    height: 100%;
    background: var(--cl-grd);
}

.row-tab-title.has-border-right:after{
    right: 0;
}

.row-tab-title.has-border-left:after{
    left: 0;
}

.row-tab-title.has-border-right{
    justify-content: flex-end;
    padding-right: 1rem;
    padding-left: 3rem;
}

.row-tab-title.has-border-left{
    display: flex;
    padding-left: 1rem;
    padding-right: 3rem;
}

.dots-loader {
   width: 13.4px;
   height: 13.4px;
   background: var(--cl-grd);
   /*color: var();*/
   border-radius: 50%;
   box-shadow: 13.4px 0,-26.9px 0;
   animation: dots-h5boszmd 0.5s infinite linear alternate;
}

@keyframes dots-h5boszmd {
   50% {
      box-shadow: 13.4px 0,-13.4px 0;
   }

   100% {
      box-shadow: 26.9px 0,-13.4px 0;
   }
}



#tab-post-project .nav-link{
    position: relative;
    padding: 0.5rem 0;
    background-color: transparent;
    border: 0;
    color: #fff;
    text-transform: uppercase;
    font-size: var(--fs-20);
    font-weight: 700;
}

#tab-post-project .nav-link:after{
    content: "";
    position: absolute;
    left: 0;
    bottom: 0;
    width: 100%;
    height: 3px;
    border-radius: 2rem;
    background: var(--cl-grd);
    transform: scaleX(0);
    transition: all .3s ease-in-out;
}

#tab-post-project .nav-link.active{
    background-image: var(--cl-grd);
    -webkit-background-clip: text;
    background-clip: text;
    color: transparent;
}

#tab-post-project .nav-link.active:after,
#tab-post-project .nav-link:hover:after{
    transform: scaleX(1.0);
}


.box-blog-project .box-content{
    padding: 0.5rem 1rem;
}

.box-blog-project .box-content .title{
    margin-bottom: 0;
    font-size: var(--fs-20);
}

.box-blog-project .format-video{
    
}




/*=== Page Event*/
#accordion-event .accordion-item{
    background-color: transparent;
    color: #fff;
    border: 1px solid transparent !important;
    border-radius: 0.5rem !important;
}

#accordion-event .accordion-item + .accordion-item{
    margin-top: 1rem;
}

#accordion-event .accordion-button{
    background-color: transparent;
    border: 0;
    box-shadow: none !important;
    color: #fff;
    font-size: var(--fs-18);
    font-weight: 500;
}


#accordion-event .accordion-button::after{
    background-image: url('/templates/images/accordion-item.svg');
}




/*=== Page Contact*/
.box-iframe{
    height: 240px;
    border-radius: 1rem;
    overflow: hidden;
}

.box-iframe iframe{
    width: 100%;
    max-width: 100%;
}


#contact-form{
    height: 100%;
    padding: 2rem;
    border-radius: 1rem;
    position: relative;
    background-color: rgba(255, 255, 255, 0.06);
}

#contact-form .form-control{
    position: relative;
    padding: clamp(0.625rem, 0.6rem + 0.125vw, 0.75rem) 1rem;
    border-radius: 0.375rem;
    box-shadow: none;
    background-color: transparent;
    font-size: inherit;
    color: #fff;
}


#contact-form .form-control::placeholder{
    color: #969595;
}

.form-control:focus{
    /*box-shadow: 0 0 6px 2px rgba(196, 21, 25, 0.25);*/
}



/* --- LOADER CONTAINER --- */
#page-loader {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100vh;
    background-image: linear-gradient(#202020 1px, transparent 1px), linear-gradient(to right, #202020 1px, transparent 1px);
    background-size: 32px 32px;
    background-color: #000;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
    z-index: 9999;
    transition: opacity 0.8s ease-out, visibility 0.8s;
    animation: gridMove 6s linear infinite;
}

@keyframes gridMove {
  from {
    background-position: 0 0, 0 0;
  }
  to {
    background-position: -32px 0, -32px 0;
  }
}


/* --- LOGO WRAPPER --- */
.logo-wrapper {
    position: relative;
    width: 350px; /* Logo to hơn một chút để thấy rõ nét vẽ */
    height: auto;
    margin-bottom: 50px;
}

.logo-wrapper svg {
    width: 100%;
    height: auto;
    overflow: visible;
}

/* --- STROKE ANIMATION CLASSES --- */

/* Cấu hình chung cho các nét vẽ */
.draw-path {
    fill-opacity: 0;
    stroke: #ffffff;
    stroke-width: 0.8px;
    stroke-linecap: round;
    stroke-linejoin: round;
    
    stroke-dasharray: 1000;
    stroke-dashoffset: 1000;
    
    /* Tăng tốc độ: Vẽ trong 1.5s, hiện màu nền sau 1.2s */
    animation: 
        drawStroke 1.5s ease-in-out forwards,
        fillFadeIn 0.5s ease-out 1.2s forwards;
}

/* Tùy chỉnh delay nhanh hơn */

/* 1. Icon chữ P: Chạy ngay lập tức */
.part-icon {
    animation-delay: 0s, 1.2s; /* draw start, fill start */
}

/* 2. Chữ Payde: Chạy sau 0.3s */
.part-text {
    animation-delay: 0.3s, 1.3s;
}

/* 3. Tagline: Chạy sau 0.6s */
.part-tagline {
    stroke-width: 0.5px;
    animation-delay: 0.6s, 1.4s;
}


/* --- KEYFRAMES --- */

@keyframes drawStroke {
    to {
        stroke-dashoffset: 0;
    }
}

@keyframes fillFadeIn {
    to {
        fill-opacity: 1;
        stroke-opacity: 0;
    }
}

/* --- LOADING BAR --- */
.progress-container {
    width: 200px;
    height: 2px;
    background-color: rgba(255, 255, 255, 0.1);
    border-radius: 4px;
    overflow: hidden;
    position: relative;
    margin-top: 20px;
}

.progress-bar {
    width: 0%;
    height: 100%;
    background: linear-gradient(90deg, #339ADE, #66E37D);
    border-radius: 4px;
    /* Tăng tốc thanh loading lên 2s */
    animation: loadProgress 2s ease-in-out forwards;
}

@keyframes loadProgress {
    0% { width: 0%; }
    100% { width: 100%; }
}